=== debian/changelog ===
fonts-spleen (1.7.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 08:14:29 +0100

fonts-spleen (1.6.0-2) unstable; urgency=medium

  * Bump standards version to 4.5.0.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 07 Feb 2020 09:18:54 +0100

fonts-spleen (1.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Also install the original bitmap font.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 03 Dec 2019 07:05:40 +0100

fonts-spleen (1.0.4-2) unstable; urgency=medium

  * Team upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Nov 2019 16:11:28 -0500

fonts-spleen (1.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #923788)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 28 Mar 2019 12:50:26 +0100
