=== debian/control ===
Source: fonts-spleen
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), fontforge-nox
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-spleen.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-spleen
Homepage: https://github.com/fcambus/spleen

Package: fonts-spleen
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: monospaced font for consoles and terminals
 This is a vectorized monospaced bitmap font for consoles and terminals.
