## fonts-spleen 1.8.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Spleen 1.7.0
+# Spleen 1.8.2
 # Copyright (c) 2018-2020, Frederic Cambus
 # https://www.cambus.net/
 #
 # Created:      2019-01-29
-# Last Updated: 2020-02-13
+# Last Updated: 2020-06-20
 #
 # Spleen is released under the BSD 2-Clause license.
 # See LICENSE file for details.
@@ -23,7 +23,7 @@
 PNMSCALE ?=	pnmscale
 PNMTOPNG ?=	pnmtopng
 
-PREFIX ?=	/usr/local
+PREFIX ?=	/usr
 DATADIR ?=	$(PREFIX)/share/bdf2psf
 
 EQUIVALENT =	$(DATADIR)/standard.equivalents
@@ -35,8 +35,8 @@
 
 OPTIONS =	$(EQUIVALENT) $(FONTSET) 512
 
-SIZES =		5x8 8x16 12x24 16x32 32x64
-OTFSIZES =	8x16 12x24 16x32 32x64
+SIZES =		5x8 6x12 8x16 12x24 16x32 32x64
+OTFSIZES =	6x12 8x16 12x24 16x32 32x64
 
 TARGET =	all
