=== debian/changelog ===
fonts-spleen (1.8.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control:
    - added Rules-Requires-Root.
    - improved long description.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * d/watch: drop template part.
  * d/patches/add-vector-font-of-dunkelstern-fork: set forwarded url.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 05 Nov 2020 08:59:19 +0100

fonts-spleen (1.7.0-2) unstable; urgency=medium

  * Build from source.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 10 Apr 2020 15:31:29 +0200
