=== debian/control ===
Source: fonts-spleen
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 13), fontforge-nox, bdf2sfd
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-spleen.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-spleen
Homepage: https://github.com/fcambus/spleen

Package: fonts-spleen
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: monospaced font for consoles and terminals
 This is a vectorized monospaced bitmap font for consoles and terminals.
 .
 All font sizes contain all ISO/IEC 8859-1 characters (Basic Latin and
 Latin-1 Supplement Unicode block), Latin Extended-A characters, as well
 as Box Drawing, Block Elements, and Braille Patterns Unicode blocks,
 except for the 5x8 and the 6x12 versions.
 .
 Due to character size constraints, the 5x8 version only contains printable
 ASCII characters, the Braille Patterns Unicode block, and light Box Drawing
 characters.
