## fonts-spleen 1.9.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Spleen 1.8.2
-# Copyright (c) 2018-2020, Frederic Cambus
+# Spleen 1.9.1
+# Copyright (c) 2018-2021, Frederic Cambus
 # https://www.cambus.net/
 #
 # Created:      2019-01-29
-# Last Updated: 2020-06-20
+# Last Updated: 2021-06-11
 #
 # Spleen is released under the BSD 2-Clause license.
 # See LICENSE file for details.
@@ -15,6 +15,7 @@
 BDF2SFD ?=	bdf2sfd
 FONTFORGE ?=	fontforge
 OPTIPNG ?=	optipng
+FONTTOSFNT ?=	fonttosfnt
 
 PBMTEXT ?=	pbmtext
 PPMCHANGE ?=	ppmchange
@@ -50,6 +51,11 @@
 psf:
 .for size in $(SIZES)
 	$(BDF2PSF) --fb spleen-${size}.bdf $(OPTIONS) spleen-${size}.psfu
+.endfor
+
+otb:
+.for size in $(SIZES)
+	$(FONTTOSFNT) -b -c -o spleen-${size}.otb spleen-${size}.bdf
 .endfor
 
 sfd:
@@ -110,4 +116,4 @@
 	$(OPTIPNG) *.png
 
 clean:
-	rm -f *.bak *.gz *.sfd *.otf *.pcf *.psfu *.png
+	rm -f *.bak *.dfont *.gz *.sfd *.otb *.otf *.pcf *.psfu *.png
