=== debian/changelog ===
fonts-spleen (1.9.1-1) unstable; urgency=medium

  * New upstream version.
  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 12:54:38 +0200

fonts-spleen (1.9.0-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 18 Mar 2021 12:16:41 +0100
