=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

BUILD_DATE = $(shell date --date="$$(dpkg-parsechangelog -SDate)" +"%Y-%m-%d %H:%M:%S")
export BUILD_DATE

%:
	dh $@

override_dh_auto_clean:
	@echo skip auto clean

override_dh_auto_test:
	@echo skip auto test

override_dh_auto_install:
	@echo skip auto install

override_dh_compress:
	dh_compress
	find debian -name '*.psfu' -print0 | xargs -0 gzip

override_dh_auto_build:
	@echo la la la
#	fontforge debian/scripts/ConvertFont.ff ttf/Spleenmedium.sfd
#	find $(CURDIR) -name '*.ttf' -print0 | xargs -0 debian/scripts/fix-modtime.pe
