## fonts-spleen 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #
-# Spleen 1.9.1
-# Copyright (c) 2018-2021, Frederic Cambus
+# Spleen 2.0.0
+# Copyright (c) 2018-2023, Frederic Cambus
 # https://www.cambus.net/
 #
 # Created:      2019-01-29
-# Last Updated: 2021-06-11
+# Last Updated: 2023-05-28
 #
 # Spleen is released under the BSD 2-Clause license.
 # See LICENSE file for details.
+#
+# SPDX-License-Identifier: BSD-2-Clause
 #
 
 BDFTOPCF ?=	bdftopcf
@@ -41,7 +43,7 @@
 
 TARGET =	all
 
-all:	pcf psf sfd otf
+all:	pcf psf fon otb sfd otf
 
 pcf:
 .for size in $(SIZES)
@@ -51,6 +53,11 @@
 psf:
 .for size in $(SIZES)
 	$(BDF2PSF) --fb spleen-${size}.bdf $(OPTIONS) spleen-${size}.psfu
+.endfor
+
+fon:
+.for size in $(SIZES)
+	$(FONTFORGE) -lang ff -c 'Open("spleen-${size}.bdf"); Generate("spleen-${size}.fon")'
 .endfor
 
 otb:
@@ -80,32 +87,32 @@
 	$(OPTIPNG) *.png
 
 specimen:
-	echo "\n  Spleen         " | \
+	printf "\n  Spleen         " | \
 	$(PBMTEXT) -font spleen-32x64.bdf -nomargins | \
 	$(PPMCHANGE) white "#ff7f2a" | \
 	$(PPMCHANGE) black "#fff" > spleen.pnm
 
-	echo "\n  Aa Ee Gg       \n  Qq Rr Ss" | \
+	printf "\n  Aa Ee Gg       \n  Qq Rr Ss" | \
 	$(PBMTEXT) -font spleen-32x64.bdf -nomargins | \
 	$(PPMCHANGE) white "#ff7f2a" > examples.pnm
 
-	echo "\n     The future  " | \
+	printf "\n     The future  " | \
 	$(PBMTEXT) -font spleen-32x64.bdf -nomargins | \
 	$(PPMCHANGE) white "#ff7f2a" | \
 	$(PPMCHANGE) black "#fff" > future.pnm
 
-	echo "  abcdefghijklm  \n  nopqrstuvwxyz" | \
+	printf "  abcdefghijklm  \n  nopqrstuvwxyz" | \
 	$(PBMTEXT) -font spleen-32x64.bdf -nomargins | \
 	$(PPMCHANGE) white "#ff2a7f" > letters.pnm
 
-	echo "     0123456789  " | \
+	printf "     0123456789  " | \
 	$(PBMTEXT) -font spleen-32x64.bdf -nomargins | \
 	$(PPMCHANGE) white "#ff2a7f" | \
 	$(PPMCHANGE) black "#fff"  > digits.pnm
 
 	$(PNMCAT) -tb spleen.pnm examples.pnm future.pnm letters.pnm digits.pnm > specimen.pnm
 
-	echo "a" | \
+	printf "a" | \
 	$(PBMTEXT) -font spleen-32x64.bdf -nomargins | \
 	$(PPMCHANGE) white "#ff7f2a" | \
 	$(PPMCHANGE) black "#fff" | \
@@ -116,4 +123,4 @@
 	$(OPTIPNG) *.png
 
 clean:
-	rm -f *.bak *.dfont *.gz *.sfd *.otb *.otf *.pcf *.psfu *.png
+	rm -f *.bak *.dfont *.fon *.gz *.sfd *.otb *.otf *.pcf *.psfu spleen*.png
