=== dos/Makefile ===
#
# Spleen 2.0.0
# Copyright (c) 2018-2023, Frederic Cambus
# https://www.cambus.net/
#
# Created:      2023-04-27
# Last Updated: 2023-04-28
#
# Spleen is released under the BSD 2-Clause license.
# See LICENSE file for details.
#
# SPDX-License-Identifier: BSD-2-Clause
#

NASM ?=	nasm

all:
	$(NASM) -f bin -o spleen.com spleen.asm

clean:
	rm -f spleen.com
