=== wsfont/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-# Spleen 1.9.1
-# Copyright (c) 2018-2021, Frederic Cambus
+# Spleen 2.0.0
+# Copyright (c) 2018-2023, Frederic Cambus
 # https://www.cambus.net/
 #
 # Created:      2020-06-20
@@ -8,6 +8,8 @@
 #
 # Spleen is released under the BSD 2-Clause license.
 # See LICENSE file for details.
+#
+# SPDX-License-Identifier: BSD-2-Clause
 #
 
 SIZES =		5x8 6x12 8x16 12x24 16x32 32x64
