=== debian/changelog ===
fonts-spleen (2.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 08:43:35 +0200

fonts-spleen (1.9.3-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 17 Apr 2023 07:30:27 +0200

fonts-spleen (1.9.2-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * Update maintainer address.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 20 Feb 2023 13:59:46 +0100
