## fonts-spleen 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Spleen 2.0.0
+# Spleen 2.0.2
 # Copyright (c) 2018-2023, Frederic Cambus
 # https://www.cambus.net/
 #
 # Created:      2019-01-29
-# Last Updated: 2023-05-28
+# Last Updated: 2023-10-06
 #
 # Spleen is released under the BSD 2-Clause license.
 # See LICENSE file for details.
@@ -16,7 +16,7 @@
 BDF2PSF ?=	bdf2psf
 BDF2SFD ?=	bdf2sfd
 FONTFORGE ?=	fontforge
-OPTIPNG ?=	optipng
+OXIPNG ?=	oxipng
 FONTTOSFNT ?=	fonttosfnt
 
 PBMTEXT ?=	pbmtext
@@ -43,7 +43,10 @@
 
 TARGET =	all
 
-all:	pcf psf fon otb sfd otf
+all:	com pcf psf fon otb sfd otf
+
+com:
+	$(MAKE) -C dos
 
 pcf:
 .for size in $(SIZES)
@@ -84,7 +87,7 @@
 	$(PPMCHANGE) white black | \
 	$(PNMTOPNG) > spleen-${size}.png
 .endfor
-	$(OPTIPNG) *.png
+	$(OXIPNG) -o max *.png
 
 specimen:
 	printf "\n  Spleen         " | \
@@ -120,7 +123,7 @@
 	$(PNMPASTE) - 364 100 specimen.pnm | \
 	$(PNMTOPNG) > specimen.png
 	rm *.pnm
-	$(OPTIPNG) *.png
+	$(OXIPNG) -o max *.png
 
 clean:
 	rm -f *.bak *.dfont *.fon *.gz *.sfd *.otb *.otf *.pcf *.psfu spleen*.png
