=== debian/changelog ===
fonts-spleen (2.0.2-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 03 Jan 2024 15:39:39 +0100

fonts-spleen (2.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Dec 2023 15:31:52 +0100
