## fonts-spleen 2.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-# Spleen 2.0.2
-# Copyright (c) 2018-2023, Frederic Cambus
+# Spleen 2.1.0
+# Copyright (c) 2018-2024, Frederic Cambus
 # https://www.cambus.net/
 #
 # Created:      2019-01-29
