=== debian/changelog ===
fonts-spleen (2.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Fri, 16 Aug 2024 08:34:08 +0000
